org.richfaces.fragment.inputNumberSlider

## Class AbstractNumberInput

- java.lang.Object
- - org.richfaces.fragment.inputNumberSlider.AbstractNumberInput

- All Implemented Interfaces:
    NumberInput
  Direct Known Subclasses:
    RichFacesInputNumberSlider, RichFacesInputNumberSpinner

      public abstract class AbstractNumberInput
      extends Object
      implements NumberInput

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `AbstractNumberInput.AdvancedNumberInputInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractNumberInput()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract AbstractNumberInput.AdvancedNumberInputInteractions` | `advanced()`
    `void` | `decrease()` Decreases the current value of this number input by the value of the step.
    `void` | `decrease(int n)` Dcreases the current value of this number input by the value of the step `n` times.
    `double` | `getValue()` Gets the current number value of this number input.
    `void` | `increase()` Increases the current value of this number input by the value of the step.
    `void` | `increase(int n)` Increases the current value of this number input by the value of the step `n` times.
    `void` | `setValue(double value)` Sets the exact number value to the input.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractNumberInput

          public AbstractNumberInput()

  - ### Method Detail

    - #### advanced

          public abstract AbstractNumberInput.AdvancedNumberInputInteractions advanced()

    - #### increase

          public void increase()

      Description copied from interface: `NumberInput`
      Increases the current value of this number input by the value of the step.
      Specified by:
        `increase` in interface `NumberInput`

    - #### decrease

          public void decrease()

      Description copied from interface: `NumberInput`
      Decreases the current value of this number input by the value of the step.
      Specified by:
        `decrease` in interface `NumberInput`

    - #### increase

          public void increase(int n)

      Description copied from interface: `NumberInput`
      Increases the current value of this number input by the value of the step `n` times. In other words, if the step is 2, and given param `n` is 3, the input value is increased by 6.
      Specified by:
        `increase` in interface `NumberInput`
      Parameters:
        `n` - how many times the increasing should be executed

    - #### decrease

          public void decrease(int n)

      Description copied from interface: `NumberInput`
      Dcreases the current value of this number input by the value of the step `n` times. In other words, if the step is 2, and given param `n` is 3, the input value is decreased by 6.
      Specified by:
        `decrease` in interface `NumberInput`
      Parameters:
        `n` - how many times the decreasing should be executed

    - #### setValue

          public void setValue(double value)

      Description copied from interface: `NumberInput`
      Sets the exact number value to the input.
      Specified by:
        `setValue` in interface `NumberInput`
      Parameters:
        `value` - value to be set

    - #### getValue

          public double getValue()

      Description copied from interface: `NumberInput`
      Gets the current number value of this number input.
      Specified by:
        `getValue` in interface `NumberInput`
      Returns:
        the current value of the number input

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.